<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_User StructType
 * @subpackage Structs
 */
class Update_User extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The UserUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\UserUpdate
     */
    public $UserUpdate;
    /**
     * Constructor method for Update_User
     * @uses Update_User::setLogin()
     * @uses Update_User::setUserUpdate()
     * @param \StructType\Login $login
     * @param \StructType\UserUpdate $userUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\UserUpdate $userUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setUserUpdate($userUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_User
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get UserUpdate value
     * @return \StructType\UserUpdate|null
     */
    public function getUserUpdate()
    {
        return $this->UserUpdate;
    }
    /**
     * Set UserUpdate value
     * @param \StructType\UserUpdate $userUpdate
     * @return \StructType\Update_User
     */
    public function setUserUpdate(\StructType\UserUpdate $userUpdate = null)
    {
        $this->UserUpdate = $userUpdate;
        return $this;
    }
}
